-- ===================================================================

local reg_alias = ocutil.safe_register_alias
local reg_item  = ocutil.safe_register_item
local reg_node  = ocutil.safe_register_node

local needitem
local neednode

-- ===================================================================

neednode = "skylands:heaven_grass"
--
if ocutil.thing_missing (neednode) then
reg_node (neednode, {
    description = "Dirt with Heaven Grass" ,

    tiles       = {
        "skylands_heavengrass2.png" ,
        "skylands_rich_dirt.png"    ,
        "skylands_rich_dirt.png^skylands_heavengrass_side2.png"
    } ,

    is_ground_content = true ,

    groups = { crumbly=3, soil=1 } ,
    drop   = 'skylands:rich_dirt'  ,

    sounds = default.sound_dirt ({
        footstep = { name="default_grass_footstep", gain=0.25 } ,
    }) ,
})
end

-- ===================================================================

neednode = "skylands:rich_dirt"
--
if ocutil.thing_missing (neednode) then
reg_node (neednode, {
    description = "Rich Dirt" ,
    tiles = { "skylands_rich_dirt.png" } ,
    is_ground_content = true,
    groups = { crumbly=3, soil=1 } ,
    sounds = default.sound_dirt() ,
})
end

-- ===================================================================

--
-- HERE IT IS
-- THE HOLY AIR SWORD!!!!
--

ocutil.safe_register_tool ("skylands:air_sword", {
    description = "Air Sword",
    inventory_image = "skylands_tool_airsword.png",
    tool_capabilities = {
        full_punch_interval = 0.1,
        max_drop_level=1,
        groupcaps={
            snappy={times={[1]=0.2, [2]=0.1, [3]=0.05}, uses=999, maxlevel=3},
        },
        damage_groups = {fleshy=999},
    }
})

-- ===================================================================
-- End of file.
