mapop = {}

-- ===================================================================

local modname   = minetest.get_current_modname()
local modpath   = minetest.get_modpath (modname)

--GreenDimond's code from waffle mod
local MP = minetest.get_modpath(minetest.get_current_modname())
local S, NS = dofile (modpath.."/intllib.lua")

mapop.intllib = S
dofile (minetest.get_modpath('mapop')..'/intllib.lua')

moditems = {}  -- switcher

if core.get_modpath("mcl_core") and mcl_core then -- means MineClone 2 is loaded, this is its core mod
    moditems.IRON_ITEM = "mcl_core:iron_ingot"   -- MCL version of iron ingot
    moditems.COAL_ITEM = "mcl_core:coalblock" -- MCL version of coal block
    moditems.CORAL_SKELETON = "mcl_nether:quartz_block" -- MCL version of green dye
    moditems.SILVER_SANDSTONE = "mcl_nether:quartz_block" -- MCL version of green dye
    moditems.INVENTORY = "mcl_inventory:crafting_formspec_bg2" -- MCL version of green dye
    moditems.INFOBOX_CAN = {}
    moditems.INFOBOX_DUMP = {}
    moditems.BOXART = "bgcolor[#d0d0d0;false]listcolors[#9d9d9d;#9d9d9d;#5c5c5c;#000000;#ffffff]" -- trying to imitate MCL boxart
else         -- fallback, assume default (MineTest Game) is loaded, otherwise it will error anyway here.
    moditems.IRON_ITEM = "default:steel_ingot"    -- MTG iron ingot
    moditems.COAL_ITEM = "default:coalblock"      -- MTG coal block
    moditems.CORAL_SKELETON = "default:coral_skeleton" -- MCL version of green dye
    moditems.SILVER_SANDSTONE = "default:silver_sandstone" -- MCL version of green dye
    moditems.INVENTORY = "default:silver_sandstone" -- MCL version of green dye
    moditems.INFOBOX_CAN = "Trash Can"
    moditems.INFOBOX_DUMP = "Dumpster"
    moditems.BOXART = ""
end

material = moditems.IRON_ITEM
_doc_items_longdesc = moditems.STRING_ITEM

local sounds
if           default.node_sound_metal_defaults then
    sounds = default.node_sound_metal_defaults()
else
    sounds = default.node_sound_stone_defaults()
end

dofile (modpath .. '/abm.lua')
dofile (modpath .. '/bathroom.lua')
dofile (modpath .. '/bedroom.lua')
dofile (modpath .. '/kitchen.lua')
dofile (modpath .. '/living_room.lua')
dofile (modpath .. '/microwave.lua')
dofile (modpath .. '/dining_room.lua')
dofile (modpath .. '/misc.lua')
dofile (modpath .. '/morelamps.lua')
dofile (modpath .. '/oven.lua')
dofile (modpath .. '/toys.lua')
dofile (modpath .. '/functions.lua')
dofile (modpath .. '/formspecs.lua')
dofile (modpath .. '/fridge.lua')
dofile (modpath .. '/crafts.lua')
